Subject: bug#31688: 26.1.50; Byte compiler confuses two string variables

From: Gemini Lasswell <[email-masked]>
Date: Sat, 02 Jun 2018 15:52:39 -0700

Noam Postavsky <[email-masked]> writes:

> I don't think this is a bug, the compiler coalesces equal string
> literals.  `put-text-property' modifies the string destructively, so you
> shouldn't use it on literals, for the same reason you shouldn't use
> destructive operations on quoted list literals.

Thanks for the explanation. I've just searched the Elisp reference
looking for any any warnings not to use destructive functions on
literals, and didn't find anything. Did I miss it? If not, it seems to
me that the node "Self-Evaluating Forms" would be a good place to
discuss the subject.